Bug 253980 - devel package conflicts with libtorrent-devel
devel package conflicts with libtorrent-devel
Product: Fedora
Classification: Fedora
Component: rb_libtorrent (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-23 08:25 EDT by Denis Leroy
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-07 04:14:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2007-08-23 08:25:15 EDT
The rb_libtorrent-devel and libtorrent-devel RPMs conflict with each other... :-(
Comment 1 Peter Gordon 2007-08-27 12:38:20 EDT
Hi, Denis; sorry for the delay. Unfortunately, both package currently install
libtorrent.so symlinks as well as a libtorrent/ directory in the system-level
includes (e.g., /usr/include). 

Patching rb_libtorrent to rename these would then cause a larger degree of
incompatibilities (since everything that uses it would have to be patched to
look for a different SONAME, et al.)

My understanding is that work is underway on both upstreams to resolve the
issue; but nothing is set in stone yet. Sorry for the inconvenience. :(
Comment 2 Peter Gordon 2007-10-07 04:14:53 EDT
Setting as RESOLVED/UPSTREAM; and hopefully we can get both upstreams
cooperating on this naming...

Note You need to log in before you can comment on or make changes to this bug.